tt_message_fail(library call)

NAME
tt_message_fail — indicate a message cannot be handled

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_fail(
Tt_message m);

DESCRIPTION

The tt_message_fail function informs the ToolTalk service that the process cannot handle the request just received.

This function also informs the ToolTalk service that the message is not be offered to other processes of the same ptype. The ToolTalk service will send the message back to the sender with state TT_FAILED.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_fail function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_NOTHANDLER
    This application is not the handler for this message.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

The status value must be greater than TT_ERR_LAST to avoid confusion with the ToolTalk service status values.

APPLICATION USAGE

To distinguish this case from the case where a message failed because no matching handler could be found, the application should place an explanatory message code in the status attribute of the message with tt_message_status_set(3) and tt_message_status_string_set(3) before calling tt_message_fail.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_status_set(3), tt_message_status_string_set(3).